org.apache.jmeter.protocol.jdbc.processor

## Class JDBCPostProcessor

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.protocol.jdbc.AbstractJDBCTestElement
    - - org.apache.jmeter.protocol.jdbc.processor.AbstractJDBCProcessor
      - - org.apache.jmeter.protocol.jdbc.processor.JDBCPostProcessor

- All Implemented Interfaces:
    Serializable, Cloneable, Searchable, PostProcessor, TestBean, TestElement, TestStateListener

      public class JDBCPostProcessor
      extends AbstractJDBCProcessor
      implements TestBean, PostProcessor

  Post processor handling JDBC Requests
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.protocol.jdbc.AbstractJDBCTestElement

      `ENCODING`

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCPostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process()` Calls the JDBC code to be executed.

    - ### Methods inherited from class org.apache.jmeter.protocol.jdbc.AbstractJDBCTestElement

      `close, close, close, execute, execute, getDataSource, getIntegerQueryTimeout, getIntegerResultSetMaxRows, getQuery, getQueryArguments, getQueryArgumentsTypes, getQueryTimeout, getQueryType, getResultSetHandler, getResultSetMaxRows, getResultVariable, getVariableNames, setDataSource, setQuery, setQueryArguments, setQueryArgumentsTypes, setQueryTimeout, setQueryType, setResultSetHandler, setResultSetMaxRows, setResultVariable, setVariableNames, testEnded, testEnded, testStarted, testStarted, toString`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### JDBCPostProcessor

          public JDBCPostProcessor()

  - ### Method Detail

    - #### process

          public void process()

      Description copied from class: `AbstractJDBCProcessor`
      Calls the JDBC code to be executed.
      Specified by:
        `process` in interface `PostProcessor`
      Overrides:
        `process` in class `AbstractJDBCProcessor`

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.